package com.fuyuanshen.global.mqtt.base;

/**
 * MQTT消息处理接口
 */
public interface NewMqttMessageRule {

    /**
     * 获取命令类型
     * @return 命令类型
     */
    String getCommandType();
    /**
     * 执行处理
     * @param context 处理上下文
     */
    void execute(NewMqttRuleContext context);
    
    /**
     * 获取优先级，数值越小优先级越高
     * @return 优先级
     */
    default int getPriority() {
        return 0;
    }
}
